Module | Compass::SassExtensions::Functions::Colors
In: | lib/compass/sass_extensions/functions/colors.rb

### Methods

adjust_lightness adjust_saturation ie_hex_str scale_lightness scale_saturation shade tint

### Public Instance methods

adjust_lightness(color, amount)

a genericized version of lighten/darken so that negative values can be used.

adjust_saturation(color, amount)

a genericized version of saturation/desaturate so that negative values can be used.

ie_hex_str(color)

returns an IE hex string for a color with an alpha channel suitable for passing to IE filters.

scale_lightness(color, amount)

Scales a color‘s lightness by some percentage. If the amount is negative, the color is scaled darker, if positive, it is scaled lighter. This will never return a pure light or dark color unless the amount is 100%.

scale_saturation(color, amount)

Scales a color‘s saturation by some percentage. If the amount is negative, the color is desaturated, if positive, it is saturated. This will never return a pure saturated or desaturated color unless the amount is 100%.

shade(color, percentage)
tint(color, percentage)

[Validate]